All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.remotefileselector2.html
Class InformationServicesSearch

    com.sas.servlet.tbeans.remotefileselector2.html.InformationServicesSearch

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.actionprovider.refresh.PartialRefreshActionsInterface, URLTemplateViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, CompositeComponentInterface, FormViewInterface, RemoteFileSelectorStyleKeysInterface, RemoteFileSelectorKeysInterface, RenderableInterface, TemplateInterface, com.sas.servlet.tbeans.TemplateKeyInterface, TransformationInterface, com.sas.servlet.tbeans.TransformationInterface2, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

    @SASScope(value="ALL")
    public class InformationServicesSearch

The InformationServicesSearch is a TransformationBean™ that generates the appropriate HTML 4.0 to represent the default search component for the `InformationServicesSelector`. InformationServicesSearch provides the ability to search a repository using the Information Services interfaces. This class extends the function of the `RemoteFileSearch` by providing a default `InformationServicesSearchModel` and a default view for results.

The `RemoteFileSearch` class may be a better class to use if you are creating your own model. A model is created when the repository is set on the component. Therefore, if you do set your own model on this class it should be done before the repository is set or the repository should already be set on the model.

The results are displayed in a `TableView`. By default the column model for the `TableView` includes the following columns:

1. Name
2. Author
3. Modified Date
4. Keywords
5. Path
6. Description

By default all file types are displayed in the `InformationServicesSearch`. These file types can be filtered to only display reports, stored processes or information maps. See the `setFilterValues` method for more details on filtering the file types.

The InformationServicesSearch Transformation Bean component elements are the same as those specified for the `RemoteFileSearch` component. It is an HTML table that contains other HTML tables, Transformation Beans and Actions. The expanded search facility appears as follows:

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.servlet.tbeans.remotefileselector2.html.RemoteFileSearch
`DEFAULT_TEMPLATE_FILE_NAME`

Fields inherited from class com.sas.servlet.tbeans.remotefileselector2.BaseRemoteFileSearch
`model`

Fields inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`viewerSupport`

Fields inherited from interface com.sas.servlet.tbeans.remotefileselector2.RemoteFileSelectorKeysInterface
`RFS_DETAILVIEW, RFS_EXPANDCOLLAPSE, RFS_FILE_DETAILVIEW, RFS_REMOTEFILESEARCH, RFS_SEARCH, RFS_SEARCH_DETAILVIEW, RFS_SEARCHDATETIMELIMITS_CHOICE, RFS_SEARCHDATETIMELIMITS_LABEL, RFS_SEARCHINTHELAST_LABEL, RFS_SEARCHINTHELASTUNIT_CHOICE, RFS_SEARCHINTHELASTVALUE_ENTRYFIELD, RFS_SEARCHRESULTS_DETAILVIEW, RFS_SEARCHSTART_BUTTON, RFS_SEARCHSTOP_BUTTON, RFS_SEARCHSUBFOLDERS_SELECT, RFS_SEARCHTEXT_ENTRYFIELD, RFS_SEARCHTEXT_LABEL, RFS_SEARCHWHAT_CHOICE, RFS_SEARCHWHAT_LABEL, RFS_SEARCHWHERE_CHOICE, RFS_SEARCHWHERE_LABEL, RFS_TOOLBAR, RFS_TOOLBAR_LOCATION_CHOICE, RFS_TOOLBAR_LOCATION_LABEL, RFS_TOOLBAR_SHOWDESCRIPTION_COMPONENT, RFS_UPONELEVEL_ACTION`

Fields inherited from interface com.sas.servlet.tbeans.remotefileselector2.html.RemoteFileSelectorStyleKeysInterface
`RFS_CONTAINER_STYLE, RFS_DETAILVIEW_STYLE, RFS_SEARCH_CONTAINER_STYLE, RFS_SEARCH_STYLE, RFS_SEARCHBUTTONS_CONTAINER_STYLE, RFS_SEARCHDATETIMELIMITS, RFS_SEARCHFIELDS_CONTAINER_STYLE, RFS_SEARCHFIELDSANDBUTTONS_CONTAINER_STYLE, RFS_SEARCHINTHELAST, RFS_SEARCHINTHELAST_CHOICECELL, RFS_SEARCHINTHELAST_ENTRYCELL, RFS_SEARCHINTHELAST_FIELDS, RFS_SEARCHINTHELAST_LABELCELL, RFS_SEARCHRESULTS_DETAILVIEW_STYLE, RFS_SEARCHSUBFOLDERS, RFS_SEARCHTEXT, RFS_SEARCHWHAT, RFS_SEARCHWHERE, RFS_TOOLBAR_CONTAINER_STYLE, RFS_TOOLBAR_STYLE`

Constructor Summary
`InformationServicesSearch()` Constructs a new `InformationServicesSearch` component.
`InformationServicesSearch(com.sas.services.information.RepositoryInterface repository, java.util.Locale locale)` Constructs a new `InformationServicesSearch` component.
`InformationServicesSearch(com.sas.services.user.UserContextInterface user, java.util.Locale locale)` Constructs a new `InformationServicesSearch` component.

Method Summary
`com.sas.services.information.RepositoryInterface` | `getRepository()` Returns the repository instance.
`com.sas.services.user.UserContextInterface` | `getUserContext()` Returns the `UserContextInterface` instance.
`protected void` | `setLocaleDependentProperties(java.util.Locale locale)` Sets properties that should be updated if the locale changes.
`void` | `setRepository(com.sas.services.information.RepositoryInterface repository)` Sets the repository navigated by the component.
`void` | `setUserContext(com.sas.services.user.UserContextInterface user)` Sets the `UserContextInterface` instance.
`protected void` | `updateColumnHeaderValues(TableColumnModel searchColumnModel, java.util.Locale locale)` Updates the column headers for the search results TableView based on the locale.

Methods inherited from class com.sas.servlet.tbeans.remotefileselector2.html.RemoteFileSearch
`createDefaultSearchDateTimeLimitsComponent, createDefaultSearchDateTimeLimitsLabel, createDefaultSearchInTheLastLabel, createDefaultSearchInTheLastUnitComponent, createDefaultSearchInTheLastValueComponent, createDefaultSearchResultsDetailView, createDefaultSearchStartComponent, createDefaultSearchStopComponent, createDefaultSearchSubfoldersComponent, createDefaultSearchSubfoldersLabel, createDefaultSearchTextComponent, createDefaultSearchTextLabel, createDefaultSearchWhatComponent, createDefaultSearchWhatLabel, createDefaultSearchWhereComponent, createDefaultSearchWhereLabel, getAdditionalParameters, getDefaultExpandCollapseComponent, getDefaultFormObject, getFormObject, getSearchButtonAreaActions, isFormEnabled, populateStartingLocationComponent, prepareToWriteDetailView, prepareToWriteSearch, processSearchButtonActions, setAdditionalParameter, setAdditionalParameters, setFormEnabled, setFormObject, setupDetailView, setupView, setupView, writeContent`

Methods inherited from class com.sas.servlet.tbeans.remotefileselector2.BaseRemoteFileSearch
`getExpandCollapseComponent, getModel, getRemoteFileSelector, getSearchFieldsAttributes, getStartingLocation, isExpandCollapseVisible, setExpandCollapseComponent, setExpandCollapseVisible, setModel, setRemoteFileSelector, setSearchFieldsAttributes, setStartingLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseActionCompositeTransformation
`applyTemplate, applyTemplate, dispose, getActionFilter, getActionSupportType, getComponentAction, getComponentActionType, getUniqueId, getViewerSupport, isActionVisible, listActionTypes, listAreaTypes, moveActionAttributesToComponent, setActionProvider, setActionSupportType, setActionVisible, setComponent, setComponentActionType, setUniqueId, writeTemplate`

Methods inherited from class com.sas.servlet.tbeans.BaseCompositeTransformation
`getActionProvider, getComponent, getComponents, getDefaultTemplate, getStyleInfo, getStyleMap, getTemplate, getTemplateDictionary, getTemplateFileName, getTemplateLocation, getVisibleComponents, isFlushEnabled, propertyChange, removeComponent, setCleanUpResourcesOn, setComponent, setFlushEnabled, setId, setLocale, setRequest, setResponse, setStyleInfo, setTemplate, setTemplate, setTemplateDictionary, setTemplateFileName, setTemplateLocation`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCustomAttributes, setInputTransform, setName, setObjectData, setObjectDataProperty, setOutputTransform, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderInterface
`getActionProvider`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### InformationServicesSearch

    public InformationServicesSearch()

  Constructs a new `InformationServicesSearch` component. A default name is generated for the selector.

### InformationServicesSearch

    public InformationServicesSearch(com.sas.services.information.RepositoryInterface repository,
                                     java.util.Locale locale)

  Constructs a new `InformationServicesSearch` component. The repository instance is used to create a default instance of the `InformationServicesSearchModel`.

  Parameters:
    `repository` - searched by the component

### InformationServicesSearch

    public InformationServicesSearch(com.sas.services.user.UserContextInterface user,
                                     java.util.Locale locale)

  Constructs a new `InformationServicesSearch` component. The `UserContextInterface` instance is used to create a default instance of the `InformationServicesSearchModel`.

  Parameters:
    `user` - context

Method Detail

### updateColumnHeaderValues

    protected void updateColumnHeaderValues(TableColumnModel searchColumnModel,
                                            java.util.Locale locale)

  Updates the column headers for the search results TableView based on the locale. If a locale is set on the component then this method is automatically called by the `setLocaleDependentProperties` method to update the viewers column headers.

  This method is also called when the component is initialized. The component is not initialized until the `RepositoryInterface` instance or the `UserContextInterface` instance is set.

  Parameters:
    `searchColumnModel` - column model defined by the `TableView`, the columns in the column model are the displayed columns in the search results viewer
    `locale` - locale set on component
  See Also:
    `setLocaleDependentProperties(Locale)`

### setRepository

    public void setRepository(com.sas.services.information.RepositoryInterface repository)

  Sets the repository navigated by the component. A default `InformationServicesSearchModel` instance is created and the repository is set on that model. The component is also initialized. The default viewer is setup during initializatioin.

  The search component must have a `RepositoryInterface` instance or a `UserContextInterface`instance to render successfully.

  Parameters:
    `repository` - searched by component
  See Also:
    `getRepository()`

### getRepository

    public com.sas.services.information.RepositoryInterface getRepository()

  Returns the repository instance.

  Returns:
    RepositoryInterface repository used for searching
  See Also:
    `setRepository(com.sas.services.information.RepositoryInterface)`

### setUserContext

    public void setUserContext(com.sas.services.user.UserContextInterface user)

  Sets the `UserContextInterface` instance. The userContext is useful if dependent repositories exists.

  Parameters:
    `user` - user context that defines the repositories to use for searching

### getUserContext

    public com.sas.services.user.UserContextInterface getUserContext()

  Returns the `UserContextInterface` instance.

  Returns:
    UserContextInterface
  See Also:
    `setUserContext(com.sas.services.user.UserContextInterface)`

### setLocaleDependentProperties

    protected void setLocaleDependentProperties(java.util.Locale locale)

  Sets properties that should be updated if the locale changes. The column names on the column model of the `TableView` must be reset. The labels are also updated.

  The setLocale method calls this method so that the dependent properties can be updated.

  Overrides:
    `setLocaleDependentProperties` in class `RemoteFileSearch`
  Parameters:
    `locale` - new locale setting

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.